WordPress.org

Making WordPress.org

#1708 closed enhancement (invalid)

"Project-Id-Version" should contain plugin name

Reported by: jrf Owned by:
Milestone: Priority: normal
Component: Translate Site & Plugins Keywords: needs-patch upstream
Cc:

Description

Project-Id-Version for all plugins set to Stable (latest release)

If you open up any plugin translation file in a WP install, you'll see the following as part of the header:

# Translation of Stable (latest release) in Dutch
# This file is distributed under the same license as the Stable (latest release) package.
....
"Project-Id-Version: Stable (latest release)\n"

Looks like $project->name for plugins is incorrectly set to Stable (latest release) and passed on like that to the .po and .mo file generation.

See also: https://github.com/GlotPress/GlotPress-WP/issues/442

Change History (3)

#1 @ocean90
19 months ago

  • Keywords upstream added
  • Type changed from defect to enhancement

#2 @jrf
19 months ago

Looks like the upstream fix has been merged: https://github.com/GlotPress/GlotPress-WP/pull/443

#3 @ocean90
15 months ago

  • Resolution set to invalid
  • Status changed from new to closed

Closing as invalid since it was changed in GlotPress directly.

Note: See TracTickets for help on using tickets.